''Display Counting.spin
''Display Variable States with ViewPort.  

CON
   
  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000

VAR

  long floor, ceiling, delay, count              ' Step 1 - Contiguous longs
  long i, us, usDelay

OBJ

  vp : "conduit"                                 ' Step 2 - Declare conduit object

PUB Counting

  vp.config(string("var:floor,ceiling,delay,count"))
  vp.config(string("start:dso"))
  vp.config(string("edit:floor(mode=text),ceiling(mode=text),delay(mode=text)"))
  vp.config(string("dso:view=count(offset=-7.295,scale=200),trigger=count<0,timescale=20ms,cursors=[on,0.513,0.768,on,0.698,0.297],ymode=manual"))
   
  vp.share(@floor, @count)                       ' Step 3 - Pass addresses to conduit
   
  floor := -400
  ceiling := 400
  delay := 50

  us := clkfreq/1_000_000
  
  repeat
    usDelay := delay * us
    repeat count from floor to ceiling
      waitcnt(usDelay + cnt)
  